propellor-5.18: property-based host configuration management in haskell

Safe Haskell | None
Language | Haskell2010

Propellor.Exception

Synopsis

- catchPropellor :: (MonadIO m, MonadCatch m) => m Result -> m Result
- catchPropellor' :: MonadCatch m => m a -> (SomeException -> m a) -> m a
- tryPropellor :: MonadCatch m => m a -> m (Either SomeException a)

# Documentation

catchPropellor :: (MonadIO m, MonadCatch m) => m Result -> m Result Source #

Catches all exceptions (except for `StopPropellorException` and `AsyncException` and `SomeAsyncException`) and returns FailedChange.

catchPropellor' :: MonadCatch m => m a -> (SomeException -> m a) -> m a Source #

tryPropellor :: MonadCatch m => m a -> m (Either SomeException a) Source #

Catches all exceptions (except for `StopPropellorException` and `AsyncException`).